summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorchristianchiarulli <[email protected]>2021-07-07 00:00:29 -0400
committerchristianchiarulli <[email protected]>2021-07-07 00:00:29 -0400
commit01fc816f3111c629f07dbc66bfc70524b2f06457 (patch)
tree21a1f19a0608e01ddeb5e14efba94e7dfcc41de3
parentbeb1d28b19ca401e5e0243b635edae3d1f0b6f7f (diff)
parentc7f2d4a39f5f02004435e273db0cdcb36786f4b3 (diff)
Merge branch 'master' of github.com:ChristianChiarulli/LunarVim into stable
-rw-r--r--init.lua3
-rw-r--r--lua/lv-nvimtree/init.lua15
-rw-r--r--lua/plugins.lua8
-rwxr-xr-xutils/installer/install.sh188
4 files changed, 108 insertions, 106 deletions
diff --git a/init.lua b/init.lua
index 2ea5c89a..edf17ad1 100644
--- a/init.lua
+++ b/init.lua
@@ -8,6 +8,9 @@ require "lv-galaxyline"
require "lv-treesitter"
require "lv-which-key"
require "lv-neoformat"
+if O.plugin.dashboard.active then
+ require("lv-dashboard").config()
+end
require "lsp"
if O.lang.emmet.active then
require "lsp.emmet-ls"
diff --git a/lua/lv-nvimtree/init.lua b/lua/lv-nvimtree/init.lua
index 5b8110dc..97cfe033 100644
--- a/lua/lv-nvimtree/init.lua
+++ b/lua/lv-nvimtree/init.lua
@@ -1,13 +1,13 @@
---if not package.loaded['nvim-tree.view'] then
--- return
---end
-
+-- --if not package.loaded['nvim-tree.view'] then
+-- -- return
+-- --end
+--
local M = {}
local status_ok, nvim_tree_config = pcall(require, "nvim-tree.config")
if not status_ok then
return
end
-
+--
M.config = function()
local g = vim.g
@@ -69,9 +69,6 @@ local view_status_ok, view = pcall(require, "nvim-tree.view")
if not view_status_ok then
return
end
-
---local view = require "nvim-tree.view"
-
M.toggle_tree = function()
if view.win_open() then
require("nvim-tree").close()
@@ -86,5 +83,5 @@ M.toggle_tree = function()
require("nvim-tree").find_file(true)
end
end
-
+--
return M
diff --git a/lua/plugins.lua b/lua/plugins.lua
index d8815db8..a637cba4 100644
--- a/lua/plugins.lua
+++ b/lua/plugins.lua
@@ -61,7 +61,9 @@ return require("packer").startup(function(use)
use {
"kyazdani42/nvim-tree.lua",
+ -- event = "BufEnter",
-- cmd = "NvimTreeToggle",
+ commit = "fd7f60e242205ea9efc9649101c81a07d5f458bb",
config = function()
require("lv-nvimtree").config()
end,
@@ -128,9 +130,9 @@ return require("packer").startup(function(use)
"ChristianChiarulli/dashboard-nvim",
event = "BufWinEnter",
-- cmd = { "Dashboard", "DashboardNewFile", "DashboardJumpMarks" },
- config = function()
- require("lv-dashboard").config()
- end,
+ -- config = function()
+ -- require("lv-dashboard").config()
+ -- end,
disable = not O.plugin.dashboard.active,
-- opt = true,
}
diff --git a/utils/installer/install.sh b/utils/installer/install.sh
index 395cec38..e7c0f665 100755
--- a/utils/installer/install.sh
+++ b/utils/installer/install.sh
@@ -4,62 +4,62 @@ set -o nounset # error when referencing undefined variable
set -o errexit # exit when command fails
installnodemac() {
- brew install lua
- brew install node
- brew install yarn
+ brew install lua
+ brew install node
+ brew install yarn
}
installnodeubuntu() {
- sudo apt install nodejs
- sudo apt install npm
+ sudo apt install nodejs
+ sudo apt install npm
}
moveoldnvim() {
- echo "Not installing LunarVim"
- echo "Please move your ~/.config/nvim folder before installing"
- exit
+ echo "Not installing LunarVim"
+ echo "Please move your ~/.config/nvim folder before installing"
+ exit
}
installnodearch() {
- sudo pacman -S nodejs
- sudo pacman -S npm
+ sudo pacman -S nodejs
+ sudo pacman -S npm
}
installnodefedora() {
- sudo dnf install -y nodejs
+ sudo dnf install -y nodejs
sudo dnf install -y npm
}
installnodegentoo() {
- echo "Printing current node status..."
- emerge -pqv net-libs/nodejs
- echo "Make sure the npm USE flag is enabled for net-libs/nodejs"
- echo "If it isn't enabled, would you like to enable it with flaggie? (Y/N)"
- read answer
- [ "$answer" != "${answer#[Yy]}" ] && sudo flaggie net-libs/nodejs +npm
- sudo emerge -avnN net-libs/nodejs
+ echo "Printing current node status..."
+ emerge -pqv net-libs/nodejs
+ echo "Make sure the npm USE flag is enabled for net-libs/nodejs"
+ echo "If it isn't enabled, would you like to enable it with flaggie? (Y/N)"
+ read answer
+ [ "$answer" != "${answer#[Yy]}" ] && sudo flaggie net-libs/nodejs +npm
+ sudo emerge -avnN net-libs/nodejs
}
installnode() {
- echo "Installing node..."
- [ "$(uname)" == "Darwin" ] && installnodemac
- [ -n "$(cat /etc/os-release | grep Ubuntu)" ] && installnodeubuntu
- [ -f "/etc/arch-release" ] && installnodearch
- [ -f "/etc/artix-release" ] && installnodearch
- [ -f "/etc/fedora-release" ] && installnodefedora
- [ -f "/etc/gentoo-release" ] && installnodegentoo
- [ "$(expr substr $(uname -s) 1 10)" == "MINGW64_NT" ] && echo "Windows not currently supported"
- sudo npm i -g neovim
+ echo "Installing node..."
+ [ "$(uname)" == "Darwin" ] && installnodemac
+ [ -n "$(cat /etc/os-release | grep Ubuntu)" ] && installnodeubuntu
+ [ -f "/etc/arch-release" ] && installnodearch
+ [ -f "/etc/artix-release" ] && installnodearch
+ [ -f "/etc/fedora-release" ] && installnodefedora
+ [ -f "/etc/gentoo-release" ] && installnodegentoo
+ [ "$(expr substr $(uname -s) 1 10)" == "MINGW64_NT" ] && echo "Windows not currently supported"
+ sudo npm i -g neovim
}
installpiponmac() {
- sudo curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
- python3 get-pip.py
- rm get-pip.py
+ sudo curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
+ python3 get-pip.py
+ rm get-pip.py
}
installpiponubuntu() {
- sudo apt install python3-pip >/dev/null
+ sudo apt install python3-pip >/dev/null
}
installpiponarch() {
@@ -67,85 +67,85 @@ installpiponarch() {
}
installpiponfedora() {
- sudo dnf install -y pip >/dev/nul
+ sudo dnf install -y pip >/dev/nul
}
installpipongentoo() {
- sudo emerge -avn dev-python/pip
+ sudo emerge -avn dev-python/pip
}
installpip() {
- echo "Installing pip..."
- [ "$(uname)" == "Darwin" ] && installpiponmac
- [ -n "$(cat /etc/os-release | grep Ubuntu)" ] && installpiponubuntu
- [ -f "/etc/arch-release" ] && installpiponarch
- [ -f "/etc/fedora-release" ] && installpiponfedora
- [ -f "/etc/gentoo-release" ] && installpipongentoo
- [ "$(expr substr $(uname -s) 1 10)" == "MINGW64_NT" ] && echo "Windows not currently supported"
+ echo "Installing pip..."
+ [ "$(uname)" == "Darwin" ] && installpiponmac
+ [ -n "$(cat /etc/os-release | grep Ubuntu)" ] && installpiponubuntu
+ [ -f "/etc/arch-release" ] && installpiponarch
+ [ -f "/etc/fedora-release" ] && installpiponfedora
+ [ -f "/etc/gentoo-release" ] && installpipongentoo
+ [ "$(expr substr $(uname -s) 1 10)" == "MINGW64_NT" ] && echo "Windows not currently supported"
}
installpynvim() {
- echo "Installing pynvim..."
- if [ -f "/etc/gentoo-release" ]; then
- echo "Installing using Portage"
- sudo emerge -avn dev-python/pynvim
- else
- pip3 install pynvim --user
- fi
+ echo "Installing pynvim..."
+ if [ -f "/etc/gentoo-release" ]; then
+ echo "Installing using Portage"
+ sudo emerge -avn dev-python/pynvim
+ else
+ pip3 install pynvim --user
+ fi
}
installpacker() {
- git clone https://github.com/wbthomason/packer.nvim ~/.local/share/nvim/site/pack/packer/start/packer.nvim
+ git clone https://github.com/wbthomason/packer.nvim ~/.local/share/nvim/site/pack/packer/start/packer.nvim
}
cloneconfig() {
- echo "Cloning LunarVim configuration"
- git clone --branch stable https://github.com/ChristianChiarulli/lunarvim.git ~/.config/nvim
- mv $HOME/.config/nvim/utils/installer/lv-config.example.lua $HOME/.config/nvim/lv-config.lua
- # mv $HOME/.config/nvim/utils/init.lua $HOME/.config/nvim/init.lua
- nvim -u $HOME/.config/nvim/init.lua +PackerInstall
- # rm $HOME/.config/nvim/init.lua
- # mv $HOME/.config/nvim/init.lua.tmp $HOME/.config/nvim/init.lua
+ echo "Cloning LunarVim configuration"
+ git clone https://github.com/ChristianChiarulli/lunarvim.git ~/.config/nvim
+ mv $HOME/.config/nvim/utils/installer/lv-config.example.lua $HOME/.config/nvim/lv-config.lua
+ # mv $HOME/.config/nvim/utils/init.lua $HOME/.config/nvim/init.lua
+ nvim -u $HOME/.config/nvim/init.lua +PackerInstall
+ # rm $HOME/.config/nvim/init.lua
+ # mv $HOME/.config/nvim/init.lua.tmp $HOME/.config/nvim/init.lua
}
asktoinstallnode() {
- echo "node not found"
- echo -n "Would you like to install node now (y/n)? "
- read answer
- [ "$answer" != "${answer#[Yy]}" ] && installnode
+ echo "node not found"
+ echo -n "Would you like to install node now (y/n)? "
+ read answer
+ [ "$answer" != "${answer#[Yy]}" ] && installnode
}
asktoinstallpip() {
- # echo "pip not found"
- # echo -n "Would you like to install pip now (y/n)? "
- # read answer
- # [ "$answer" != "${answer#[Yy]}" ] && installpip
- echo "Please install pip3 before continuing with install"
- exit
+ # echo "pip not found"
+ # echo -n "Would you like to install pip now (y/n)? "
+ # read answer
+ # [ "$answer" != "${answer#[Yy]}" ] && installpip
+ echo "Please install pip3 before continuing with install"
+ exit
}
installonmac() {
- brew install ripgrep fzf ranger
- npm install -g tree-sitter-cli
+ brew install ripgrep fzf ranger
+ npm install -g tree-sitter-cli
}
pipinstallueberzug() {
- which pip3 >/dev/null && pip3 install ueberzug || echo "Not installing ueberzug pip not found"
+ which pip3 >/dev/null && pip3 install ueberzug || echo "Not installing ueberzug pip not found"
}
installonubuntu() {
- sudo apt install ripgrep fzf ranger
- sudo apt install libjpeg8-dev zlib1g-dev python-dev python3-dev libxtst-dev
- pip3 install ueberzug
- pip3 install neovim-remote
- npm install -g tree-sitter-cli
+ sudo apt install ripgrep fzf ranger
+ sudo apt install libjpeg8-dev zlib1g-dev python-dev python3-dev libxtst-dev
+ pip3 install ueberzug
+ pip3 install neovim-remote
+ npm install -g tree-sitter-cli
}
installonarch() {
- sudo pacman -S ripgrep fzf ranger
- which yay >/dev/null && yay -S python-ueberzug-git || pipinstallueberzug
- pip3 install neovim-remote
- npm install -g tree-sitter-cli
+ sudo pacman -S ripgrep fzf ranger
+ which yay >/dev/null && yay -S python-ueberzug-git || pipinstallueberzug
+ pip3 install neovim-remote
+ npm install -g tree-sitter-cli
}
installonfedora() {
@@ -155,19 +155,19 @@ installonfedora() {
}
installongentoo() {
- sudo emerge -avn sys-apps/ripgrep app-shells/fzf app-misc/ranger dev-python/neovim-remote virtual/jpeg sys-libs/zlib
- pipinstallueberzug
- npm install -g tree-sitter-cli
+ sudo emerge -avn sys-apps/ripgrep app-shells/fzf app-misc/ranger dev-python/neovim-remote virtual/jpeg sys-libs/zlib
+ pipinstallueberzug
+ npm install -g tree-sitter-cli
}
installextrapackages() {
- [ "$(uname)" == "Darwin" ] && installonmac
- [ -n "$(cat /etc/os-release | grep Ubuntu)" ] && installonubuntu
- [ -f "/etc/arch-release" ] && installonarch
- [ -f "/etc/artix-release" ] && installonarch
- [ -f "/etc/fedora-release" ] && installonfedora
- [ -f "/etc/gentoo-release" ] && installongentoo
- [ "$(expr substr $(uname -s) 1 10)" == "MINGW64_NT" ] && echo "Windows not currently supported"
+ [ "$(uname)" == "Darwin" ] && installonmac
+ [ -n "$(cat /etc/os-release | grep Ubuntu)" ] && installonubuntu
+ [ -f "/etc/arch-release" ] && installonarch
+ [ -f "/etc/artix-release" ] && installonarch
+ [ -f "/etc/fedora-release" ] && installonfedora
+ [ -f "/etc/gentoo-release" ] && installongentoo
+ [ "$(expr substr $(uname -s) 1 10)" == "MINGW64_NT" ] && echo "Windows not currently supported"
}
# Welcome
@@ -186,18 +186,18 @@ which node >/dev/null && echo "node installed, moving on..." || asktoinstallnode
pip3 list | grep pynvim >/dev/null && echo "pynvim installed, moving on..." || installpynvim
if [ -e "$HOME/.local/share/nvim/site/pack/packer/start/packer.nvim" ]; then
- echo 'packer already installed'
+ echo 'packer already installed'
else
- installpacker
+ installpacker
fi
if [ -e "$HOME/.config/nvim/init.lua" ]; then
- echo 'LunarVim already installed'
+ echo 'LunarVim already installed'
else
- # clone config down
- cloneconfig
- # echo 'export PATH=$HOME/.config/nvim/utils/bin:$PATH' >>~/.zshrc
- # echo 'export PATH=$HOME/.config/lunarvim/utils/bin:$PATH' >>~/.bashrc
+ # clone config down
+ cloneconfig
+ # echo 'export PATH=$HOME/.config/nvim/utils/bin:$PATH' >>~/.zshrc
+ # echo 'export PATH=$HOME/.config/lunarvim/utils/bin:$PATH' >>~/.bashrc
fi
echo "I recommend you also install and activate a font from here: https://github.com/ryanoasis/nerd-fonts"